Companies
List the team's secure links to a company
The secure links your team has created to the company's report, newest first: when each was created and when it expires (or expired, or was revoked), who created it, and how it has been used: how many times the report was opened, from how many addresses, when last, and how many times an annual report in it was opened. The links themselves are given once, when they are created: only a hash of their secret is kept. A secure link is also one of the team's orders (GET /orders).
GEThttps://lens-api.tic.io/companies/{id}/secure-links
- Lists the secure links your team has created to the company, newest first.
- For each link:
secureLinkId;- when it was created (
issuedAtUtc); - when it expires or expired (
expiresAtUtc; a revoked link expired when it was revoked); isActive(whether it opens now);createdByUserId(null when an API key created it);- how it has been used:
visits(how many times the report was opened),visitors(from how many addresses),lastVisitedAtUtc(when last; null when it has not been opened) andannualReportsOpened(how many times an annual report in it was opened).
- The links themselves are not listed: a link is given once, by Create a secure link.
Authorization
x-api-keystringheaderrequiredYour API key, sent in the x-api-key header.
Path parameters
idintegerrequiredInternal company ID
Responses
The team's secure links to the company · application/json
secureLinkIdintegerissuedAtUtcstringexpiresAtUtcstring | nullisActivebooleancreatedByUserIdinteger | nullvisitsintegervisitorsintegerlastVisitedAtUtcstring | nullannualReportsOpenedinteger